Skip to content

List Datasets

GET
/datasets/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieve a list of all datasets in the project with filtering and pagination options

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

is_advanced_search
boolean

Specifies if advanced filters should be applied.

storage_type
string
Allowed values: managed,e2e_s3 pvc

Storage Type

encrypted
boolean

Encryption

Success response with dataset information.

Media typeapplication/json
object
code

HTTP status code for the operation.

integer
data
Array<object>
object
id

Unique identifier of the dataset.

integer
name

Name of the dataset.

string
project_id

ID of the project associated with the dataset.

integer
description

Description of the dataset, which is null in this case.

string
nullable
storage_type

Type of storage used for the dataset.

string
pvc

Persistent volume claim (PVC) details, which is null in this case.

string
nullable
bucket
object
id

Unique identifier of the bucket.

integer
bucket_name

Name of the storage bucket.

string
bucket_url

URL of the bucket.

string
endpoint

Endpoint URL of the object store.

string
is_managed

Whether the bucket is managed.

boolean
eos_bucket_permission_id

EOS bucket permission ID.

integer
access_key
object
id

Unique identifier for the access key.

integer
access_key

The access key.

string
secret_key

The secret key for accessing the bucket.

string
tag

A tag associated with the access key.

string
is_managed

Whether the access key is managed.

boolean
encryption_type

Type of encryption used, which is null in this case.

string
nullable
encryption_enable

Whether encryption is enabled for the dataset.

boolean
status

Status of the dataset.

string
created_by
object
id

User ID of the creator.

integer
name

Name of the creator.

string
email

Email of the creator.

string
username

Username of the creator.

string
created_at

Timestamp of when the dataset was created.

string format: date-time
updated_at

Timestamp of when the dataset was last updated.

string format: date-time
errors

Any errors encountered during the operation.

object
message

Message indicating the result of the operation.

string
total_page_number

Total number of pages of dataset information available.

integer
total_count

Total number of datasets returned.

integer

Example

{
"code": 200,
"data": [
{
"id": 1306,
"name": "tir-dataset-111415255656",
"project_id": 124,
"storage_type": "managed",
"bucket": {
"id": 2519,
"bucket_name": "d-gpu-eec9c7b5-be21-4303-ad86-78fa3b2ba284",
"bucket_url": "s3://d-gpu-eec9c7b5-be21-4303-ad86-78fa3b2ba284/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 10205
},
"access_key": {
"id": 2536,
"access_key": "CKEAFAC2WW1R3CRM4YR2",
"secret_key": "X8PB1JFEYIFP1LZIRKPKYBDSCD57R15A9CMGD6UP",
"tag": "akgpu6bdbe89619c949d382acf141fb76c204",
"is_managed": true
},
"encryption_enable": false,
"status": "OK",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-14T09:56:02.477591Z",
"updated_at": "2024-11-14T09:56:02.477647Z"
}
],
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 1
}